Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InvDevice

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.resource.common.bean.Device<InvDevice,InetDeviceType>
ru.bitel.bgbilling.modules.inet.common.bean.InvDevice

All Implemented Interfaces:
  `Transferable`, `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<InvDevice>`

public class InvDevice extends Device<InvDevice,InetDeviceType>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.Device

  `children, comment, config, dateFrom, dateTo, deviceGroupIds, deviceType, deviceTypeId, host, identifier, orderManagerDisabled, parentId, secret, uptime, uptimeTime`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvDevice()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.Device

  `findCodePath, generateTitle, generateTitle, getChildren, getComment, getConfig, getDateFrom, getDateTo, getDeviceGroupIds, getDeviceType, getDeviceTypeId, getHost, getHosts, getHostsAsString, getIdentifier, getParentId, getPassword, getSecret, getSort, getTransferData, getTransferDataFlavors, getUptime, getUptimeTime, getUsername, isDataFlavorSupported, isOrderManagerDisabled, main, setChildren, setComment, setConfig, setDateFrom, setDateTo, setDeviceGroupIds, setDeviceType, setDeviceTypeId, setHost, setIdentifier, setOrderManagerDisabled, setParentId, setPassword, setSecret, setSort, setUptime, setUptimeTime, setUsername, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### InvDevice

    public InvDevice()